summaryrefslogtreecommitdiff
path: root/travis.sh
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2015-08-26 21:57:47 +0300
committerAndrei Karas <akaras@inbox.ru>2015-08-26 22:21:08 +0300
commit09f1c3afd5bc94610b8a07561d816eddb2f40d7b (patch)
tree57b4b41dd5b0063d9087a19e33e78de2f5f91559 /travis.sh
parent83ef3e7a9eb2f4312012d2beae27be83a84d2621 (diff)
downloadhercules-09f1c3afd5bc94610b8a07561d816eddb2f40d7b.tar.gz
hercules-09f1c3afd5bc94610b8a07561d816eddb2f40d7b.tar.bz2
hercules-09f1c3afd5bc94610b8a07561d816eddb2f40d7b.tar.xz
hercules-09f1c3afd5bc94610b8a07561d816eddb2f40d7b.zip
Show errors in travis tests after server crashed or terminated with non zero exit code.
Diffstat (limited to 'travis.sh')
-rwxr-xr-xtravis.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/travis.sh b/travis.sh
index 1b97b7666..a21e9fcb0 100755
--- a/travis.sh
+++ b/travis.sh
@@ -92,7 +92,8 @@ EOF
ARGS="--load-script npc/dev/test.txt "
ARGS="--load-plugin script_mapquit $ARGS --load-script npc/dev/ci_test.txt"
echo "Running Hercules with command line: ./map-server --run-once $ARGS"
- ASAN_OPTIONS=detect_leaks=0 ./map-server --run-once $ARGS 2>runlog.txt || aborterror "Test failed."
+ ASAN_OPTIONS=detect_leaks=0 ./map-server --run-once $ARGS 2>runlog.txt
+ export errcode=$?
export teststr=$(cat runlog.txt)
if [[ -n "${teststr}" ]]; then
echo "Sanitizer errors found."
@@ -101,6 +102,10 @@ EOF
else
echo "No sanitizer errors found."
fi
+ if [ ${errcode} -ne 0 ]
+ echo "server terminated with exit code ${errcode}"
+ aborterror "Test failed"
+ fi
;;
getplugins)
echo "Cloning plugins repository..."